Bug 525019 - RFE: make debuginfo-install and other yum-utils do the 'wait for lock' thing that yum does
RFE: make debuginfo-install and other yum-utils do the 'wait for lock' thing ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-22 23:43 EDT by James Livingston
Modified: 2016-02-21 19:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 08:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Livingston 2009-09-22 23:43:02 EDT
Description of problem:
If you try to run "debuginfo-install <package>" while yum is being used (for example, by PackageKit) it fails, and does not wait for the yum lock like some other tools do.

Version-Release number of selected component (if applicable):
1.1.23-3.fc12

How reproducible:
Always

Steps to Reproduce:
1. Run a program that uses yum
2. Run "debuginfo-install <package>"
3. Watch it fail.
  
Actual results:
'Another application is holding the yum lock, cannot continue' message, and it exits

Expected results:
debuginfo-intall tells me that another program holds the yum lock, and it tries again periodically until it can acquire the lock.
Comment 1 Tim Lauridsen 2009-10-19 08:58:38 EDT
I am working on using the same locking in most yum newer yum-utils, that is used in yum-cli.
Comment 2 Tim Lauridsen 2010-04-29 08:40:51 EDT
fixed in yum 3.2.26

Note You need to log in before you can comment on or make changes to this bug.